@import '_content/CasaBlazor/CasaBlazor.cbnnh5czfx.bundle.scp.css';

/* /Components/Account/Pages/Manage/TwoFactorAuthentication.razor.rz.scp.css */
.form-box[b-ckc9ht7u30]{
    margin-bottom:20px;
    border: 1px solid gray;
    padding:10px;
}
/* /Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-cny1af3yh7] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-cny1af3yh7] {
    flex: 1;
}

.sidebar[b-cny1af3yh7] {
    background-color: var(--color-menu-bg);
}



@media (min-width: 641px) {
    .page[b-cny1af3yh7] {
        flex-direction: row;
    }

    .sidebar[b-cny1af3yh7] {
/*        width: 50px;*/
        height: 100vh;
        position: sticky;
        top: 0;
        flex: none;
    }


    article[b-cny1af3yh7] {
       /* padding-left: 2rem !important;
        padding-right: 1.5rem !important;*/
    }
}

#blazor-error-ui[b-cny1af3yh7] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-cny1af3yh7] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

/* /Components/Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-xew3ikib4a] {
    appearance: none;
    cursor: pointer;
    width: 3.5rem;
    height: 2.5rem;
    color: white;
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.1);
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") no-repeat center/1.75rem rgba(255, 255, 255, 0.1);
}

    .navbar-toggler:checked[b-xew3ikib4a] {
        background-color: rgba(255, 255, 255, 0.5);
    }

.top-row[b-xew3ikib4a] {
    height: 3.5rem;
    font-weight: 1000;
}

.navbar-brand[b-xew3ikib4a] {
    font-size: 2rem;
}


.nav-icon[b-xew3ikib4a] {
    width: 20px;
    margin-right: 5px;
}




.nav-scrollable[b-xew3ikib4a] {
    display: none;
}

.navbar-toggler:checked ~ .nav-scrollable[b-xew3ikib4a] {
    display: block;
}

.logoBoth[b-xew3ikib4a] {
    border-bottom: 1px solid #d6d5d5;
    width: 100%;
    background-color: white;
}



.showDeskTop[b-xew3ikib4a] {
    display: unset;
}

.showTablet[b-xew3ikib4a] {
    display: none;
}


/*This is the tablet setting*/
@media (min-width: 641px) {
    .navbar-toggler[b-xew3ikib4a] {
        display: none;
    }

    .nav-scrollable[b-xew3ikib4a] {
        /* Never collapse the sidebar for wide screens */
        display: block;
        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: clip;
    }

    .showDeskTop[b-xew3ikib4a] {
        display: none;
    }

    .showTablet[b-xew3ikib4a] {
        display: unset;
    }
}

/*This is the desktop setting*/
@media (min-width: 1680px) {

    .showDeskTop[b-xew3ikib4a] {
        display: unset;
    }

    .showTablet[b-xew3ikib4a] {
        display: none;
    }

}
/* /Components/Layout/NavMenuItem.razor.rz.scp.css */
.navbar-toggler[b-keridqk3dz] {
    appearance: none;
    cursor: pointer;
    width: 3.5rem;
    height: 2.5rem;
    color: white;
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.1);
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") no-repeat center/1.75rem rgba(255, 255, 255, 0.1);
}

    .navbar-toggler:checked[b-keridqk3dz] {
        background-color: rgba(255, 255, 255, 0.5);
    }

.top-row[b-keridqk3dz] {
    height: 3.5rem;
    font-weight: 1000;
}

.navbar-brand[b-keridqk3dz] {
    font-size: 2rem;
}


.nav-icon[b-keridqk3dz] {
    width: 20px;
    margin-right: 5px;
}

.plus-img[b-keridqk3dz] {
    width: 30px;
    padding: 5px;
    border-radius: 5px;
}


.nav-item[b-keridqk3dz] {
    font-size: 1.0rem;
    padding-bottom: 2px;
    display: flex;
    align-items: center;
    line-height: 3rem;
    width: 100%;
    justify-content: stretch;
}

    .nav-item[b-keridqk3dz]  .nav-link {
        color: var(--color-menu-item);
        background: none;
        border: none;
        border-radius: 4px;
        height: 2.7rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
        width: 100%;
        justify-content: space-between;
        transition: none;
    }

    .nav-item[b-keridqk3dz]  a.active {
        background-color: var(--color2);
        color: var(--color-menu-item-active);
    }

        .nav-item[b-keridqk3dz]  a.active .nav-icon {
            filter: invert(63%) sepia(87%) saturate(354%) hue-rotate(144deg) brightness(170%) contrast(105%);
        }


    .nav-item[b-keridqk3dz]  .nav-link:hover {
        background-color: var(--color2)
    }

.nav-icon-active[b-keridqk3dz] {
    filter: invert(63%) sepia(87%) saturate(354%) hue-rotate(144deg) brightness(170%) contrast(105%);
}


.nav-scrollable[b-keridqk3dz] {
    display: none;
}

.navbar-toggler:checked ~ .nav-scrollable[b-keridqk3dz] {
    display: block;
}


@media (max-width: 640.98px) {

    .laptopView[b-keridqk3dz] {
        display: none;
    }

    .desktopView[b-keridqk3dz] {
        display: unset;
        width: 100%;
    }
}


@media (min-width: 641px) {
    .navbar-toggler[b-keridqk3dz] {
        display: none;
    }

    .nav-scrollable[b-keridqk3dz] {
        /* Never collapse the sidebar for wide screens */
        display: block;
        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: clip;
    }

    .laptopView[b-keridqk3dz] {
        display: unset;
        width: 100%;
    }

    .desktopView[b-keridqk3dz] {
        display: none;
    }
}

@media (min-width: 1680px) {


    .laptopView[b-keridqk3dz] {
        display: none;

    }

    .desktopView[b-keridqk3dz] {
        display: unset;
        width: 100%;
    }
}
/* /Components/Layout/Toolbar.razor.rz.scp.css */
.top-row[b-0g04m9c3cu] {
    background-color: white;
    border-bottom: 1px solid #d6d5d5;
    justify-content: space-between;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-0g04m9c3cu]  a, .top-row[b-0g04m9c3cu]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

        .top-row[b-0g04m9c3cu]  a:hover, .top-row[b-0g04m9c3cu]  .btn-link:hover {
            text-decoration: underline;
        }

        .top-row[b-0g04m9c3cu]  a:first-child {
            overflow: hidden;
            text-overflow: ellipsis;
        }


.pageTitle[b-0g04m9c3cu] {
    font-size: 30px;
    font-weight: 700;
}

.box[b-0g04m9c3cu] {
    display: flex;
    flex-flow: row nowrap;
    gap: 10px;
    align-items: center;
}




.admin[b-0g04m9c3cu] {
    display: inline-block;
    padding: 2px 6px;
    font-size: 12px;
    font-weight: 600;
    color: white;
    background-color: #007BFF;
    border-radius: 8px;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-family: 'Arial', sans-serif;
    cursor: default;
    user-select: none; /* Prevent text selection */
}

.superAdmin[b-0g04m9c3cu] {
    background-color: #e653d6;
}

.dev[b-0g04m9c3cu] {
    background-color: lightgray;
}


.dropdown[b-0g04m9c3cu] {
    position: relative;
    display: inline-block;
}

.dropdown-button[b-0g04m9c3cu] {
    background-color: white;
    color: black;
    padding: 10px;
    border: none;
    cursor: pointer;
    border: 1px solid black;
    height: 46px;
    width: 46px;
}

    .dropdown-button:focus[b-0g04m9c3cu] {
        outline: none;
    }

.close-button[b-0g04m9c3cu] {
    background-color: var(--color1-light);
    color: var(--color1);
}

.dropdown-content[b-0g04m9c3cu] {
    /* display: none;*/
    position: absolute;
    background-color: #f9f9f9;
    width: 100%;
    max-width:400px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 8;
    max-height: 300px;
    overflow-y: auto;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.2s ease-in, visibility 0.2s ease-in;
}

.dropdown-content-open[b-0g04m9c3cu] {
    opacity: 1;
    visibility: visible;
}

.dropdown-item[b-0g04m9c3cu] {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    height: 45px; /*if you change this, also need to change in razor.cs code for how to position scroll*/
}

    .dropdown-item:hover[b-0g04m9c3cu] {
        background-color: #f1f1f1;
        cursor: pointer;
    }


.dropdown-item-highlighted[b-0g04m9c3cu] {
    background-color: #E2FFFF;
}

    .dropdown-item-highlighted:hover[b-0g04m9c3cu] {
        background-color: #E2FFFF;
    }

.searchbox[b-0g04m9c3cu] {
    padding: 2px 5px;
    padding-left: 10px;
    width: 100%;
    max-width: 400px;
    height: 30px;
    border-radius: 10px;
    background-color: #F3F3F8;
}


.searchboxSelected[b-0g04m9c3cu] {
    font-weight: 700;
    background-color: paleturquoise;
    border: 3px solid var(--color1);
}

.search-icon[b-0g04m9c3cu] {
    width: 22px;
    margin-right: 5px;
    filter: grayscale(100%) brightness(50%);
}


@media (max-width: 640.98px) {
    .top-row[b-0g04m9c3cu] {
        justify-content: space-between;
    }

        .top-row[b-0g04m9c3cu]  a, .top-row[b-0g04m9c3cu]  .btn-link {
            margin-left: 0;
        }

    .searchbox[b-0g04m9c3cu] {
        display: none;
    }
}

@media (min-width: 641px) {

    .top-row[b-0g04m9c3cu] {
        position: sticky;
        top: 0;
        z-index: 6;
    }

        .top-row.auth[b-0g04m9c3cu]  a:first-child {
            flex: 1;
            text-align: right;
            width: 0;
        }

    .top-row[b-0g04m9c3cu] /*, article*/ {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }

}
/* /Components/PageElements/ActionButton.razor.rz.scp.css */
.button-img[b-f25lmq0fng] {
    opacity: 0.6;
    width: 25px;



}
/* /Components/PageElements/NoteButton.razor.rz.scp.css */

.iconTiny[b-pxw0tqikmx] {
    width: 18px;
}

.noteBox[b-pxw0tqikmx] {
    background-color: white;
    border: 3px solid var(--color8);
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}



.noteBox-present[b-pxw0tqikmx] {
    background-color: var(--color8);
}

.cellTransparent[b-pxw0tqikmx] {
    background-color: transparent;
    border: none;
}

.noteButton[b-pxw0tqikmx]{
    padding:5px;
}

    .noteButton:hover[b-pxw0tqikmx] {
        opacity: 0.7;
    }
/* /Components/PageElements/PersonCard.razor.rz.scp.css */
.personCard[b-7w1dm8qeoq] {
    display: flex;
    flex-flow: row nowrap;
    justify-content:space-between;
    border-radius: 20px;
    padding: 20px;
    background-color: var(--color9);
    align-items: center;
    border:1px solid var(--color5);
}

.personCard-inactive[b-7w1dm8qeoq] {
    color: gainsboro;
}


.activeIndicator[b-7w1dm8qeoq] {
    padding: 5px 10px;
    border-radius: 5px;
    display: inline-block;
}
/* /Components/PageElements/RemoveLineButton.razor.rz.scp.css */
.imgIcon[b-ctssaek49f] {
    width: 10px;
}

.removeButton[b-ctssaek49f] {
    background: #E2E9F8;
    width: 25px;
    height: 25px;
    border-radius: 10px;
}

.removeButton:hover[b-ctssaek49f]{
    opacity:0.8;
}

.removeButtonDisabled[b-ctssaek49f] {
    background-color: var(--color9);
    opacity: 1;
    cursor:not-allowed;
}

.removeButtonDisabled:hover[b-ctssaek49f]{
    opacity:1;
}
/* /Components/PageElements/TextEditor.razor.rz.scp.css */
.backgroundWhite[b-mebj9v5crv] {
    background: white;
}

.readonlyGray[b-mebj9v5crv] {
    background: #EAF0FD;
}

/* /Components/Pages/CustomerDetails.razor.rz.scp.css */

.cardMargin-container[b-23clie5k1n] {
    display: flex;
    flex-flow: row nowrap;
    gap: 15px;
}

.cardMargin[b-23clie5k1n] {
    background-color: var(--color6);
    border-radius: 15px;
    padding: 15px;
    border: 1px solid var(--color8);
    width: 150px;
    text-align: center;
}

.cardMargin-body[b-23clie5k1n] {
    font-size: 20px;
    font-weight: 800;
}


.summaryBox[b-23clie5k1n] {
    color: white;
    display: flex;
    flex-flow: column nowrap;
    border-radius: 15px;
    text-align: center;
    justify-content: center;
    padding:25px;
}

.summaryValue[b-23clie5k1n] {
    margin-top: 6px;
    font-size: 24px;
    font-weight: 600;
}

/* /Components/Pages/CustomerList.razor.rz.scp.css */
.margin-set[b-bx7ml8uqk1] {
    font-weight: 700
}

.margin-default[b-bx7ml8uqk1] {
    color: #DCDCDC
}
/* /Components/Pages/Home.razor.rz.scp.css */
.app-jcList[b-nisywh46be] {
    grid-template-columns: 90px 100px 160px 1fr 100px;
}

.userWaitingApproval[b-nisywh46be]{
    color:lightgray;
}


.summaryCard-container[b-nisywh46be] {
    display: flex;
    margin-top: 20px;
    gap: 20px;
    width: 100%;
    max-width: 1500px;
    color: white;
    font-size: 16px;
    flex-flow: row wrap;
    align-content: flex-start;
}

.summaryCard[b-nisywh46be] {
    display: flex;
    flex-flow: column nowrap;
    border-radius: 15px;
    background-color: pink;
    padding: 20px;
    align-items: center;
    width:220px;
}

.summaryCard-value[b-nisywh46be]{
    font-size:30px;
}

.summaryCard img[b-nisywh46be]{
    height:45px;
    margin-bottom:15px;
    margin-top:5px;
}

.chart-container[b-nisywh46be] {
    display: flex;
    align-items: flex-end;
    justify-content: center;
    gap: 10px;
    padding: 20px;
    height:450px;
    font-weight:600;
}


.y-axis-labels[b-nisywh46be] {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding-right: 5px;
    text-align: right;
    font-size: 14px;
    height: 414px;
}

.y-label[b-nisywh46be] {

}

.chart[b-nisywh46be] {
    display: flex;
    align-items: flex-end;
    justify-content: center;
    gap: 20px;
    height: 220px;
    width: 100%;
    padding: 20px 5px 0px;
    position: relative;
    height: 100%;
}

.bar-group[b-nisywh46be] {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    width: 15%;
    gap: 3px;
    position: relative;
}


.bar[b-nisywh46be] {
    width: 25px;
    transition: height 0.3s ease-in-out;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.series1[b-nisywh46be] {
    background-color: var(--color1);
}

.series2[b-nisywh46be] {
    background-color: var(--color8);
}


.x-label[b-nisywh46be] {
    position: absolute;
    bottom: -30px; 
    left: 50%;
    transform: translateX(-50%);
    font-size: 14px;
    text-align: center;
    white-space: nowrap;
}

.gridLine[b-nisywh46be] {
    position: absolute;
    pointer-events: none; /* Ensure grid lines don't interfere with interactions */
    border-bottom: 1px solid #C3CCDE;
    width: 100%;
}

.legendContainer[b-nisywh46be] {
    display: flex;
    gap: 10px;
    align-items: center;
}

.legend[b-nisywh46be] {
    width: 25px;
    height: 25px;
    border:1px solid grey;
}
/* /Components/Pages/InstallerDetails.razor.rz.scp.css */
.cardContainer-sub[b-tajps2vd4f] {
    display: flex;
    flex-flow: column nowrap;
    gap: 20px;
}

.cardMargin-container[b-tajps2vd4f] {
    display: flex;
    flex-flow: row nowrap;
    gap: 15px;
}

.cardMargin[b-tajps2vd4f] {
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    background-color: var(--color6);
    border-radius: 15px;
    padding: 15px;
    border: 1px solid var(--color8);
    width: 150px;
    text-align: center;
    color:white;
}

.cardMargin-body[b-tajps2vd4f] {
    font-size: 20px;
    font-weight: 800;
}


.doc-add[b-tajps2vd4f] {
    background-color: var(--color1);
    padding: 5px;
    border-radius: 5px;
    font-weight: 700;
}

    .doc-add:hover[b-tajps2vd4f] {
        opacity: 0.7;
    }

/* /Components/Pages/InstallerList.razor.rz.scp.css */


/* /Components/Pages/JobCardEdit.razor.rz.scp.css */
[b-17ijsu2oow] .selectComponent {
    min-height: 40px !important;
    padding-left: 10px;
}

.app-card-body[b-17ijsu2oow] {
    gap: 5px;
}


.installationGrid[b-17ijsu2oow] {
    grid-template-columns: 1fr 1fr 1fr 120px 130px 70px 80px 160px;
    display: grid;
}

    .installationGrid > *[b-17ijsu2oow] {
        padding: 7px;
    }

    .installationGrid:nth-of-type(2n)[b-17ijsu2oow] {
        background-color: var(--color9);
    }

    .installationGrid:nth-of-type(2n+1)[b-17ijsu2oow] {
        background-color: var(--color10);
    }

.installationGridHeader[b-17ijsu2oow] {
    font-weight: 500;
    background-color: var(--color3);
    color: white;
    border-bottom: none;
}

.installationLineForIcon[b-17ijsu2oow]{
    padding-top:5px;
    padding-bottom:0px;
}

.listSubHeading[b-17ijsu2oow] {
    font-weight: 500;
    grid-column: span 8;
    text-align: center;
    background-color: var(--color8);
    font-weight: 600;
    padding: 7px;
}

.jobSheetContainer[b-17ijsu2oow] {
    position: relative;
    width: 100%;
    background-color: #E8E8E8;
    border-radius: 10px;
    padding: 10px 0 10px 0;
}


.jobSheetLine[b-17ijsu2oow] {
    display: grid;
    grid-template-columns: 7px 1fr;
    grid-gap: 4px;
    padding: 2px;
}


.diffHigher[b-17ijsu2oow] {
    color: red;
    font-weight: 600;
}

.diffLesser[b-17ijsu2oow] {
    color: forestgreen;
    font-weight: 600;
}

.emailSentIcon[b-17ijsu2oow] {
    width: 22px;
    margin-right: 10px;
}

.pdfIcon[b-17ijsu2oow] {
    height: 30px;
    margin-right: 10px;
}


.summary-grid[b-17ijsu2oow] {
    display: grid;
    grid-template-columns: 180px 1fr 1fr 1fr 1fr 50px;
    gap: 20px;
}

    .summary-grid > *[b-17ijsu2oow] {
        padding: 7px 10px;
        text-align:center;
    }

    .summary-grid:nth-of-type(2n)[b-17ijsu2oow] {
        background-color: var(--color9);
    }

    .summary-grid:nth-of-type(2n+1)[b-17ijsu2oow] {
        background-color: var(--color10);
    }


.itemCard-heading[b-17ijsu2oow] {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    border-bottom: 1px solid #B5C3DD;
    background: var(--color8);
    color: var(--color1);
    font-weight: 700;
    height: 45px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

    .itemCard-heading > *[b-17ijsu2oow] {
        display: flex;
        align-items: center;
        padding-left: 10px;
    }

.itemCard-retracted[b-17ijsu2oow] {
    background-color: #989898;
    color:white;
}


.itemCard-line[b-17ijsu2oow] {
    display: grid;
    grid-template-columns: 50px 1fr 80px 80px 80px 120px;
    grid-column-gap: 5px;
}


.itemCard-line-heading[b-17ijsu2oow] {
    background: var(--color8);
    color: white;
    padding: 6px 10px;
    border: 3px solid var(--color8);
}

    .itemCard-line-heading > *[b-17ijsu2oow] {
        background-color: #62718C;
        padding: 5px 10px;
        border-radius: 5px;
        text-align:center;
    }


.itemCard-line-value-container[b-17ijsu2oow] {
    display: flex;
    flex-flow: column nowrap;
    gap: 5px;
    border: 3px solid var(--color8);
    padding: 10px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    background-color: #F6F9FF;
    margin-bottom: 5px
}

.itemCard-line-value[b-17ijsu2oow] {
    color: #7E7C9D;
}

    .itemCard-line-value > *[b-17ijsu2oow] {
        background-color: var(--color5);
        padding: 5px 10px;
        border-radius: 5px;
        border: 1px solid var(--color8);
        text-align: center;
    }
/* /Components/Pages/JobCardList.razor.rz.scp.css */
.old-revisions[b-mwi3golc73] {
    background-color: #E8E8E8;
    color: #808080;
}


.revisionButton[b-mwi3golc73] {
    background-color: #E8E8E8;
    border-radius: 5px;
    margin-left: 5px;
}

    .revisionButton:hover[b-mwi3golc73] {
        background-color: #DCDCDC;
    }


.progressbar[b-mwi3golc73]{
    color: orange;
}

.progressbar-complete[b-mwi3golc73]{
    color: green;
}

/* Container for the progress bar */
.progress-container[b-mwi3golc73] {
    width: 50px; /* Full width of the container */
    background-color: #e0e0e0; /* Light grey background for the container */
    border-radius: 5px; /* Rounded corners for the container */
    overflow: hidden; /* Ensure the progress bar doesn't overflow */
    height: 15px; /* Height of the progress bar */
    margin: 5px 0; /* Spacing around the progress bar */
    box-shadow: 0 3px 3px rgba(0, 0, 0, 0.2); /* Optional shadow */
}

/* The progress bar itself */
.progress-bar[b-mwi3golc73] {
    height: 100%; /* Fill the height of the container */
    background-color: orange; /* Custom color for the progress bar */
    text-align: center; /* Center the text inside the bar */
    line-height: 15px; /* Center the text vertically */
    color: white; /* Text color */
    font-weight: bold; /* Bold text */
    border-radius: 5px 0 0 5px; /* Rounded corners only on the left side */
    transition: width 0.4s ease; /* Smooth transition when updating width */
}

.progress-barFull[b-mwi3golc73] {
    background-color: #0BDA51;
}
/* /Components/Pages/JobSheetPrintable.razor.rz.scp.css */
.header-grid[b-n26wviqqhl] {
    display: grid;
    grid-template-columns: 1fr 1fr;
    margin-bottom: 4px;
}

.header-grid-bottom[b-n26wviqqhl] {
    grid-template-columns: 300px 1fr;
}

.header-description[b-n26wviqqhl] {
    padding: 8px 15px 5px 15px;
    color: white;
    background-color: var(--color1);
}

.header-entry[b-n26wviqqhl] {
    padding: 8px 15px 5px 15px;
    border: solid 1px var(--color1);
}


.body-grid[b-n26wviqqhl] {
    display: grid;
    grid-template-columns: 50px 1fr 80px 80px 100px 150px;
}


.body-description[b-n26wviqqhl] {
    padding: 13px 10px 8px 10px;
    color: white;
    background-color: #383838;
    display: flex;
    align-items: center;
    justify-content: right;
}

.body-entry[b-n26wviqqhl] {
    padding: 13px 10px 8px 10px;
    border-bottom: 1px solid #B8B8B8;
    color: #383838;
    text-align: right;
}

.total[b-n26wviqqhl] {
    background-color: #F5F5F5;
    color: #383838;
    border-bottom: none;
}

.final[b-n26wviqqhl] {
    background-color: #F5F5F5;
    color: #383838;
    border-bottom: none;
    font-weight: 700;
}


.retracted-overlay[b-n26wviqqhl] {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-45deg);
    font-size: 8vw; /* Adjust this value to make the text larger or smaller */
    color: rgba(255, 0, 0, 0.2); /* Red color with opacity */
    z-index: 1000; /* Ensure it appears on top of other content */
    pointer-events: none; /* So it doesn't block interactions with underlying content */
    white-space: nowrap; /* Prevent the text from wrapping */
    text-align: center;
    width: 100%;
    text-transform: uppercase; /* Make the text uppercase */
    font-weight: bold; /* Make the text bold */
}
/* /Components/Pages/LogDatabase.razor.rz.scp.css */



/* /Components/Pages/LogErrors.razor.rz.scp.css */



/* /Components/Pages/ProductEdit.razor.rz.scp.css */
[b-duikulkn6t] .selectComponent {
    min-height: 40px !important;
    padding-left:10px;
}

.app-card-body[b-duikulkn6t]{
    gap:5px;
}


.prop-container[b-duikulkn6t] {
    display: grid;
    grid-template-columns: 1fr 2.5fr;
    width: 100%;
}

.prop-heading[b-duikulkn6t] {
    background-color: var(--color8);
    padding: 10px 10px;
    font-weight:600;
}

.prop-input[b-duikulkn6t] {
    border: 3px solid var(--color8);
    padding: 5px 10px;
    width: 100%;
}

/* Chrome, Safari, Edge, Opera */
input[type=number][b-duikulkn6t]::-webkit-outer-spin-button,
input[type=number][b-duikulkn6t]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number][b-duikulkn6t] {
    -moz-appearance: textfield;
}


input:focus[b-duikulkn6t], textarea:focus[b-duikulkn6t] {
    border: 3px solid var(--color2);
    outline: none;
}


.variantsTable[b-duikulkn6t] {
    display: grid;
    grid-template-columns: 1.2fr 1fr 90px 50px;
    gap: 10px;
}


.some[b-duikulkn6t]{
    background:blue;
}

/* /Components/Pages/ProductList.razor.rz.scp.css */
.discontinued[b-kcpggm7t3g] {
    text-decoration: line-through
}

.variantButton[b-kcpggm7t3g] {
    text-decoration: underline;
    color:blue;
}
/* /Components/Pages/ProjectDetails.razor.rz.scp.css */
.cardMargin-container[b-46utqskj4i] {
    display: flex;
    flex-flow: row nowrap;
    gap: 15px;
}

.cardMargin[b-46utqskj4i] {
    background-color: var(--color6);
    border-radius: 15px;
    padding: 15px;
    border: 1px solid var(--color8);
    width: 150px;
    text-align: center;
}

.cardMargin-body[b-46utqskj4i] {
    font-size: 20px;
    font-weight: 800;
}

.summaryBox[b-46utqskj4i] {
    color: white;
    display: flex;
    flex-flow: column nowrap;
    border-radius: 15px;
    text-align: center;
    justify-content: center;
    padding: 25px;
}

.summaryValue[b-46utqskj4i] {
    margin-top: 6px;
    font-size: 24px;
    font-weight: 600;
}
/* /Components/Pages/PurchaseOrderPrintable.razor.rz.scp.css */

.body-grid[b-coj4h96pl1] {
    display: grid;
    grid-template-columns: 50px 1fr 80px 80px 100px 150px;
}


.body-description[b-coj4h96pl1] {
    padding: 13px 10px 8px 10px;
    color: white;
    background-color: #383838;
    display: flex;
    align-items: center;
    justify-content: right;
}

.body-entry[b-coj4h96pl1] {
    padding: 13px 10px 8px 10px;
    border-bottom: 1px solid #B8B8B8;
    color: #383838;
    text-align: right;
}


.total[b-coj4h96pl1] {
    background-color: #F5F5F5;
    color: #383838;
    border-bottom: none;
}

.final[b-coj4h96pl1] {
    background-color: #F5F5F5;
    color: #383838;
    border-bottom: none;
    font-weight:700;
}

.retracted-overlay[b-coj4h96pl1] {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-45deg);
    font-size: 8vw; /* Adjust this value to make the text larger or smaller */
    color: rgba(255, 0, 0, 0.2); /* Red color with opacity */
    z-index: 1000; /* Ensure it appears on top of other content */
    pointer-events: none; /* So it doesn't block interactions with underlying content */
    white-space: nowrap; /* Prevent the text from wrapping */
    text-align: center;
    width: 100%;
    text-transform: uppercase; /* Make the text uppercase */
    font-weight: bold; /* Make the text bold */
}
/* /Components/Pages/QuoteEdit.razor.rz.scp.css */
.scrollingContainer[b-orbzaxt2zf] {
    overflow-x: scroll;
    margin-left: -10px;
}

.mainContainer[b-orbzaxt2zf] {
    min-width: 1450px;
    max-width: 1850px;
    display: flex;
    flex-flow: column nowrap;
    gap: 40px;
    padding: 20px 10px;
}

.headingContainer[b-orbzaxt2zf] {
    border: 6px solid var(--color8);
    border-bottom: none;
    border-radius: 5px;
}

.headingPartition[b-orbzaxt2zf] {
    font-size: 20px;
    background-color: var(--color1);
    text-align: center;
    padding: 8px;
    font-weight: 700;
    color: var(--color2);
    text-transform: uppercase;
}

.quoteProperties[b-orbzaxt2zf] {
    display: grid;
    grid-template-columns: 1fr 3fr 1fr 3fr;
    border-bottom: 2px solid var(--color1);
}


.propContainer[b-orbzaxt2zf] {
    display: flex;
    background-color: var(--color8);
    align-items: center;
    min-height: 36px;
}

.quotePropValue[b-orbzaxt2zf] {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--color9);
    padding: 0px 5px;
    width: 100%;
/*    border-radius: 10px;*/
    height: 100%;
    border: 3px solid var(--color8);
}


.propHeading[b-orbzaxt2zf] {
    padding: 0 10px;
    font-weight: 600;
}

.headingCategories[b-orbzaxt2zf] {
    font-size: 16px;
    font-weight: 500;
    padding: 4px 13px;
    background-color: var(--color9);
    color: var(--color1);
    display: flex;
    align-items: center;
    border-top: 7px solid var(--color8);
    border-bottom: 1px solid var(--color8);
}

.propHeading-setup[b-orbzaxt2zf] {
    width: 200px;
}


.categoriesBox[b-orbzaxt2zf] {
    border-top: 2px solid var(--color8);
}


.quoteLine[b-orbzaxt2zf] {
    display: grid;
    grid-template-columns: 50px 70px 1fr 1fr 1fr 1fr 60px 60px 80px 90px 80px 90px 30px;
    background-color: var(--color9);
    grid-gap: 4px;
    padding: 2px;
    min-height: 35px;
}

    /* Apply styles to all direct children of the grid container */
    .quoteLine > *[b-orbzaxt2zf] {
        background-color: var(--color8);
/*        border-radius: 10px;*/
        display: flex;
        justify-content: center;
        align-items: center;
    }


    /* Override when .quoteLine has the .altStyle class */
    .quoteLine.headingVersion > *[b-orbzaxt2zf] {
        background-color: var(--color5);
        border-radius: 0;
        justify-content: flex-start;
        background-color: var(--color3);
        color: white;
        border: none;
        display: flex;
        justify-content: center;
        align-items: center;
    }


    .quoteLine:first-child[b-orbzaxt2zf] {
        padding-top: 4px;
    }

    .quoteLine:last-child[b-orbzaxt2zf] {
        padding-bottom: 4px;
    }

.quoteLine-Heading[b-orbzaxt2zf] {
    font-weight: 500;
    padding-top: 4px;
    padding-bottom: 2px;
    background-color: var(--color8);
    border-radius: 0px !important;
    grid-gap: 4px;
}

.quoteLine-Totals[b-orbzaxt2zf] {
    font-weight: 700;
    background-color: var(--color8);
    color: var(--color2);
}

    .quoteLine-Totals > *[b-orbzaxt2zf] {
        background-color: var(--color8);
        border: none;
    }


.quoteLineFinalTotals[b-orbzaxt2zf] {
    grid-template-columns: 1fr 250px 160px 30px;
}

.quoteLineFinalTotalsDescription[b-orbzaxt2zf] {
    justify-content: flex-start;
    padding-left: 25px;
    font-size: 16px;
}

.quoteLineFinalTotalsValue[b-orbzaxt2zf] {
    justify-content: flex-end;
    padding-right: 25px;
    font-size: 16px;
}


.cellTransparent[b-orbzaxt2zf] {
    background-color: transparent;
    border: none;
}


.addQuoteItemButton[b-orbzaxt2zf] {
    padding: 2px;
    border-radius: 5px;
    margin: 4px 0 5px 5px;
}

    .addQuoteItemButton:hover[b-orbzaxt2zf] {
        background-color: lightgray;
    }


.lineButton[b-orbzaxt2zf] {
    margin-top: 4px;
    margin-left: 4px;
}

.inputBox[b-orbzaxt2zf] {
    width: 100%;
    text-align: center;
    height: 100%;
/*    border-radius: 10px;*/
    border: 3px solid var(--color8);
}


/* Chrome, Safari, Edge, Opera */
input[type=number][b-orbzaxt2zf]::-webkit-outer-spin-button,
input[type=number][b-orbzaxt2zf]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number][b-orbzaxt2zf] {
    -moz-appearance: textfield;
}


input:focus[b-orbzaxt2zf], textarea:focus[b-orbzaxt2zf] {
    border: 3px solid var(--color2);
    outline: none;
}


.icon[b-orbzaxt2zf] {
    width: 22px;
}



.iconButton[b-orbzaxt2zf] {
    cursor: pointer;
    background-color: #A9A9A9;
    border-radius: 5px;
    margin-right: 3px;
    padding: 1px;
    border: 1px solid gray;
}

    .iconButton:hover[b-orbzaxt2zf] {
        background-color: lightslategray;
    }


.fade[b-orbzaxt2zf] {
    transition: opacity 0.5s ease-in-out; /* Adjust the duration as needed */
    opacity: 1;
}

.fade-hidden[b-orbzaxt2zf] {
    opacity: 0;
}



.terms-edit-btn[b-orbzaxt2zf] {
    border: 1px solid gray;
    font-weight: 600;
    padding: 4px 4px;
    margin-bottom: 5px;
    border-radius: 3px;
    background-color: #E0E0E0;
    cursor: pointer
}

    .terms-edit-btn:hover[b-orbzaxt2zf] {
        background-color: #D3D3D3;
    }


.emailSentIcon[b-orbzaxt2zf] {
    width: 22px;
    margin-right: 10px;
}

.pdfIcon[b-orbzaxt2zf] {
    height: 30px;
    margin-right: 10px;
}

.thumbsIcon[b-orbzaxt2zf] {
    width: 30px;
    filter: invert(100%);
    margin-right: 4px;
    margin-left: -5px;
}
/* /Components/Pages/QuoteList.razor.rz.scp.css */
.old-revisions[b-x6k9glk7aa] {
    /* background-color: #E8E8E8 !important;
    color: #808080;*/
    border-left: 2px solid #C8C8C8;
    border-right: 2px solid #C8C8C8;
}


.old-revisions-top[b-x6k9glk7aa] {
    border-top: 2px solid #C8C8C8;
}


.old-revisions-bottom[b-x6k9glk7aa] {
    border-bottom: 2px solid #C8C8C8;
}


.filters[b-x6k9glk7aa] {
    padding: 20px;
    gap: 20px;
    display: flex;
    flex-flow: row wrap;

}


.revisionButton[b-x6k9glk7aa] {
    background-color: var(--color9);
    border-radius: 5px;
    margin-left: 5px;
    padding:10px;
   
}

    .revisionButton:hover[b-x6k9glk7aa] {
        background-color: #DCDCDC;
    }


.progressbar[b-x6k9glk7aa]{
    color: orange;
}

.progressbar-complete[b-x6k9glk7aa]{
    color: green;
}

/* Container for the progress bar */
.progress-container[b-x6k9glk7aa] {
    width: 50px; /* Full width of the container */
    background-color: #e0e0e0; /* Light grey background for the container */
    border-radius: 5px; /* Rounded corners for the container */
    overflow: hidden; /* Ensure the progress bar doesn't overflow */
    height: 15px; /* Height of the progress bar */
    margin: 5px 0; /* Spacing around the progress bar */
    box-shadow: 0 3px 3px rgba(0, 0, 0, 0.2); /* Optional shadow */
}

/* The progress bar itself */
.progress-bar[b-x6k9glk7aa] {
    height: 100%; /* Fill the height of the container */
    background-color: orange; /* Custom color for the progress bar */
    text-align: center; /* Center the text inside the bar */
    line-height: 15px; /* Center the text vertically */
    color: white; /* Text color */
    font-weight: bold; /* Bold text */
    border-radius: 5px 0 0 5px; /* Rounded corners only on the left side */
    transition: width 0.4s ease; /* Smooth transition when updating width */
}

.progress-barFull[b-x6k9glk7aa] {
    background-color: #0BDA51;
}
/* /Components/Pages/QuotePrintable.razor.rz.scp.css */
.topHeader[b-2mkhwh7l78] {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    margin-bottom:20px;
    padding:30px;
    padding-top:0;
}

.gridHeader[b-2mkhwh7l78] {
    display: flex;
    flex-flow: column nowrap;
    gap: 15px;
    padding-left: 10px;
    padding-right: 10px;
    border: #DCDCDC;
    border-width: 2px;
}

.gridHeaderBigAndBolder[b-2mkhwh7l78]{
    font-weight:600;
    font-size:18px;
}

.leftBorder[b-2mkhwh7l78] {
    border-left-style: solid;
}

.rightBorder[b-2mkhwh7l78] {
    border-right-style: solid;
}

.gridTitle[b-2mkhwh7l78] {
    color: #B0B0B0;
    text-transform: uppercase;
    margin-bottom: 5px;
}

.summaryDescription[b-2mkhwh7l78] {
    padding: 30px;
    font-size: 14px;
    font-weight: 400;
}


td[b-2mkhwh7l78]{
    padding:30px;
    font-size:14px;
    font-weight:400;
}

.cost-col[b-2mkhwh7l78] {
    text-align: right;
    background-color: #F0F8FF;
    border-left: 2px solid #DCDCDC;
    font-weight: 450;
}


th[b-2mkhwh7l78] {
    border-bottom: 1px solid #DCDCDC !important; /* Change to your desired color */
}

.installationOption[b-2mkhwh7l78]{
   font-weight:800;
}
/* /Components/Pages/Settings.razor.rz.scp.css */
.form-control-basic[b-fv0123dlhp] {
    margin: 10px 5px;
    max-width: 400px;
}

[b-fv0123dlhp] .mud-input {
    background-color: white;
    margin: 10px 5px;
    max-width: 400px;
}
/* /Components/Pages/SupplierDetails.razor.rz.scp.css */
.cardMargin-container[b-py5ybxibu2] {
    display: flex;
    flex-flow: row nowrap;
    gap: 15px;
}

.cardMargin[b-py5ybxibu2] {
    background-color: var(--color6);
    border-radius: 15px;
    padding: 15px;
    border: 1px solid var(--color8);
    width: 150px;
    text-align: center;
}

.cardMargin-body[b-py5ybxibu2] {
    font-size: 20px;
    font-weight: 800;
}

.summaryBox[b-py5ybxibu2] {
    color: white;
    display: flex;
    flex-flow: column nowrap;
    border-radius: 15px;
    text-align: center;
    justify-content: center;
    padding: 25px;
}

.summaryValue[b-py5ybxibu2] {
    margin-top: 6px;
    font-size: 24px;
    font-weight: 600;
}
/* /Components/Pages/UserList.razor.rz.scp.css */
.inactive[b-wi905eha2v] {
    text-decoration: line-through;
}
/* /Components/Shared/ActiveToggle.razor.rz.scp.css */
/* Container for switch and label */
.switch-container[b-1hdjai6qp5] {
    display: flex;
    align-items: center;
    gap: 10px; /* Space between label and switch */
}

/* Style for the label */
.switch-label[b-1hdjai6qp5] {
    font-size: 16px;
    color: #333;
    font-weight: 700;
}

/* Switch styling */
.switch[b-1hdjai6qp5] {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}

    /* Hide the default checkbox */
    .switch input[b-1hdjai6qp5] {
        opacity: 0;
        width: 0;
        height: 0;
    }

/* The slider */
.slider[b-1hdjai6qp5] {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc; /* Inactive color */
    transition: 0.4s;
    border-radius: 34px;
}

    /* Slider handle */
    .slider[b-1hdjai6qp5]:before {
        position: absolute;
        content: "";
        height: 26px;
        width: 26px;
        left: 4px;
        bottom: 4px;
        background-color: white;
        transition: 0.4s;
        border-radius: 50%;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    }

/* Active state (when input is checked) */
input:checked + .slider[b-1hdjai6qp5] {
    background-color: #4caf50; /* Active color */
}

    /* Move the slider handle to the right when active */
    input:checked + .slider[b-1hdjai6qp5]:before {
        transform: translateX(26px);
    }
/* /Components/Shared/AddNewButton.razor.rz.scp.css */


.add-button[b-1fhz4wvu7q] {
    width: 20px;
    height: 20px;
    cursor:pointer;
}

    .add-button:hover[b-1fhz4wvu7q] {
        opacity: 0.7;
    }
/* /Components/Shared/BusinessEdit.razor.rz.scp.css */
.input-label[b-6mc79hyo75] {
    padding: 10px;
    background-color: lightblue;
    color: dimgray;
    border-radius: 5px;
    cursor: pointer;
    width:180px;
    text-align:center;
}

.input-label:hover[b-6mc79hyo75]{
    opacity:0.7;
}
/* /Components/Shared/CommentsSection.razor.rz.scp.css */
textarea[b-ai45gv9mlp] {
    width: 100%;
    border: 2px solid var(--color8);
    padding: 7px;
}


.file-icon-card[b-ai45gv9mlp] {
    display: flex;
    justify-content: center;
    position: relative;
    align-items: center;
    width: 100%;
    height: 250px;
    border: 1px solid #C8C8C8;
    background-color: #DCDCDC;
    padding: 3px;
    border-radius: 5px;
}

.file-button[b-ai45gv9mlp] {
    border-radius: 5px;
    background-color: #F5F5F5;
    padding: 5px;
    border: 1px solid #C8C8C8;
}

    .file-button:hover[b-ai45gv9mlp] {
        background-color: #E8E8E8;
    }

    .file-button img[b-ai45gv9mlp] {
        width: 20px;
    }

.file-button-downloaded[b-ai45gv9mlp] {
    background-color: #CF9FFF;
}

/*.comment-title {
    display: flex;
    justify-content: space-between;
    padding: 10px;
    align-items: center;
    background-color: var(--color8);
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
}
*/
/*.comment-body {
    width:100%;
    display: flex;
    justify-content: space-between;
    gap:10px;
    padding: 10px;
    border: 1px solid #F0F5FD;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
    background-color: var(--color9);
    color: #464656;
}
*/
.scrollVersion[b-ai45gv9mlp] {
    max-height: 500px;
    overflow-y: scroll;
}


.comment-grid[b-ai45gv9mlp] {
    display: grid;
    grid-template-columns: 1fr 2fr 180px;
    gap: 5px;
    border-top: 2px solid #DCDCDC;
    padding-bottom: 5px;
    padding-top: 5px;
}

.comment-bubble[b-ai45gv9mlp] {
    display: inline-block;
    background-color: white;
    border-radius: 10px;
    padding: 5px 8px;
    max-width: 100%;
    word-break: break-word;
    cursor: pointer;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.3);
    cursor: pointer;
}

.comment-header[b-ai45gv9mlp] {
    /*  flex-grow: 1;*/
    width: 220px;
    display: flex;
    font-weight: 500;
    cursor: pointer;
    justify-content: space-between;
    align-items: center;
    padding: 10px 10px;
    color: white;
    background-color: var(--color1);
}

.comment-contents[b-ai45gv9mlp] {
    display: flex;
    flex-flow: column nowrap;
    gap: 5px;
    background-color: #F5F6F8;
    border: 2px solid #DCDCDC;
    padding: 10px;
    max-width: 800px;
}

.fade-in[b-ai45gv9mlp] {
    opacity: 1;
    max-height: 1000px;
    transition: opacity 0.8s ease, max-height 0.8s ease;
    overflow: hidden;
}

.fade-out[b-ai45gv9mlp] {
    opacity: 0;
    max-height: 0;
    transition: opacity 0.5s ease, max-height 0.5s ease;
    overflow: hidden;
}
/* /Components/Shared/ComposeEmail.razor.rz.scp.css */

.containerBoth[b-wjp5rof30d] {
    display: flex;
    height: calc(100vh - 56px);
    border: 1px solid #A9A9A9;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.25); /* Slightly more pronounced shadow */
    margin:0px 0px;
}


.emailContainer[b-wjp5rof30d] {
    display: flex;
    flex-flow: column nowrap;
    gap: 20px;
    min-width: 400px;
    padding: 20px;
    background-color: #F5F5F5;
    height: calc(100% - 55px);
    overflow-y: scroll;
}

.emailBox[b-wjp5rof30d] {
    font-weight: 700;
    flex-grow: 0;
}

.emailSection[b-wjp5rof30d] {
    display: flex;
    flex-flow: row wrap;
    gap: 5px;
    border: 1px solid #DCDCDC;
    padding: 6px;
    width: 100%;
    border-radius: 3px;
}

.emailAddress[b-wjp5rof30d] {
    display: inline-block;
    padding: 5px 5px;
    border-radius: 3px;
    background-color: aquamarine;
    white-space: nowrap;
}

.historyContainer[b-wjp5rof30d] {
    background-color: #F5F5F5;
    height: calc(100% - 55px);
    padding: 20px;
    overflow-y:scroll;
}

.inputBox[b-wjp5rof30d] {
    border: 1px solid #D3D3D3;
    border-radius: 5px;
    padding: 5px;
    width:200px;
}


.addressBookButton[b-wjp5rof30d] {
    border: 1px solid gray;
    font-weight: 600;
    padding: 0px 4px;
    margin-bottom: 5px;
    border-radius: 3px;
    background-color: #E0E0E0;
    cursor: pointer
}

.addressBookButton:hover[b-wjp5rof30d] {
    background-color: #D3D3D3;
}


body[b-wjp5rof30d] {
    font-family: Arial, sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    background-color: #f5f5f5;
}

.pdf-loader[b-wjp5rof30d] {
    text-align: center;
    padding: 20px;
    border: 2px solid #d3d3d3;
    border-radius: 10px;
    background-color: #ffffff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    width: 300px;
}


.pdf-icon[b-wjp5rof30d] {
    font-size: 24px;
    font-weight: bold;
    color: #d9534f;
    margin-bottom: 20px;
    text-transform: uppercase;
}

.loading-bar[b-wjp5rof30d] {
    width: 100%;
    background-color: #e0e0e0;
    border-radius: 25px;
    overflow: hidden;
    height: 20px;
    margin-bottom: 10px;
}

.progress[b-wjp5rof30d] {
    height: 100%;
    width: 0%;
    background-color: #5bc0de;
    border-radius: 25px;
    animation: loading-b-wjp5rof30d 5s infinite;
}

@keyframes loading-b-wjp5rof30d {
    0% {
        width: 0%;
    }

    100% {
        width: 100%;
    }
}

.loading-text[b-wjp5rof30d] {
    font-size: 16px;
    color: #777777;
}
/* /Components/Shared/ContactWidget.razor.rz.scp.css */
/* Basic styling for the tooltip container */
.tooltip1[b-7otfzzkp50] {
    position: relative;
    display: inline-block;
    cursor: default;
}

    /* Hidden tooltip text */
    .tooltip1 .tooltiptext[b-7otfzzkp50] {
        visibility: hidden;
       /* width: 120px;*/
        background-color: black;
        color: #fff;
        text-align: center;
        border-radius: 6px;
        padding: 5px;
        position: absolute;
        z-index: 1;
        bottom: 125%; /* Position the tooltip above the text */
        left: 50%;
        margin-left: -60px; /* Center the tooltip */
        opacity: 0;
        transition: opacity 0.3s;
    }

        /* Tooltip arrow */
        .tooltip1 .tooltiptext[b-7otfzzkp50]::after {
            content: "";
            position: absolute;
            top: 100%; /* Bottom of the tooltip */
            left: 50%;
            margin-left: -5px;
            border-width: 5px;
            border-style: solid;
            border-color: black transparent transparent transparent; /* Arrow pointing up */
        }

    /* Show the tooltip text when hovering over the tooltip container */
    .tooltip1:hover .tooltiptext[b-7otfzzkp50] {
        visibility: visible;
        opacity: 1;
    }
/* /Components/Shared/JsEditModal.razor.rz.scp.css */
[b-slryavy2iy] .selectComponent {
    min-height: 40px !important;
    padding-left: 10px;
}

.app-card-body[b-slryavy2iy] { /*override*/
    gap: 5px;
}


.pdfIcon[b-slryavy2iy] {
    height: 30px;
    margin-right: 10px;
}

.addModal-button[b-slryavy2iy] {
    background-color: #DCDCDC;
    border-radius: 5px;
    padding: 1px 10px;
    border: 1px solid #A9A9A9;
    font-size: 13px;
}

    .addModal-button:hover[b-slryavy2iy] {
        background-color: #C8C8C8;
    }

.addModal-grid[b-slryavy2iy] {
    grid-template-columns: 1fr 1fr 60px 120px 120px 70px 120px 160px;
    display: grid;
    border: 2px solid var(--color3);
    min-height: 35px;
}


    .addModal-grid > *[b-slryavy2iy] {
        background-color: var(--color8);
        padding: 5px 5px 4px 5px;
        border-bottom: 1px solid gray;
    }

.addModal-grid-header[b-slryavy2iy] {
    /*  needed for below*/
}

/* Override when .quoteLine has the .altStyle class */
.addModal-grid.addModal-grid-header > *[b-slryavy2iy] {
    background-color: var(--color3);
    color: white;
    border-bottom: none;
}

.addModal-onThisPo[b-slryavy2iy] {
    background-color: #F8F8F8 !important;
}

.addModal-onOtherPo[b-slryavy2iy] {
    background-color: gray;
    color: white;
}
/* /Components/Shared/PoEditModal.razor.rz.scp.css */
[b-edz18nv2ai] .selectComponent {
    min-height: 40px !important;
    padding-left: 10px;
}

.app-card-body[b-edz18nv2ai] { /*override*/
    gap: 5px;
}

.pdfIcon[b-edz18nv2ai] {
    height: 30px;
    margin-right: 10px;
}

.addModal-button[b-edz18nv2ai] {
    background-color: #DCDCDC;
    border-radius: 5px;
    padding: 1px 10px;
    border: 1px solid #A9A9A9;
    font-size: 13px;
}

    .addModal-button:hover[b-edz18nv2ai] {
        background-color: #C8C8C8;
    }

.addModal-grid[b-edz18nv2ai] {
    grid-template-columns: 1fr 60px 120px 120px 70px 120px 160px;
    display: grid;
    border: 2px solid var(--color3);
    min-height: 35px;
}


    .addModal-grid > *[b-edz18nv2ai] {
        background-color: var(--color8);
        padding: 5px 5px 4px 5px;
        border-bottom: 1px solid gray;
    }

.addModal-grid-header[b-edz18nv2ai] {
    /*  needed for below*/
}

/* Override when .quoteLine has the .altStyle class */
.addModal-grid.addModal-grid-header > *[b-edz18nv2ai] {
    background-color: var(--color3);
    color: white;
    border-bottom: none;
}

.addModal-onThisPo[b-edz18nv2ai] {
    background-color: #F8F8F8 !important;
}

.addModal-onOtherPo[b-edz18nv2ai] {
    background-color: gray;
    color: white;
}

